
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap'); 

* {margin: 0;padding: 0;}

body { font-family: "Poppins", sans-serif;
max-width: 1500px;
margin: 0 auto;
}
html { scroll-behavior: smooth;}

p {color: rgb(85, 85, 85);}

a, .btn { transition: all 300ms ease;}

 nav, .nav-links {display: flex;}

 nav {justify-content: space-around;
align-items: center;
height: 17vh;}

.nav-links {
gap: 2rem;
list-style: none;
font-size: 1.5rem;
}
a {
color: black;
text-decoration: none;
text-decoration: white;
}

a:hover {color: gray;
text-decoration: underline;
text-underline-offset: 1rem;
text-decoration-color: rgb(181, 181, 181);}

.logo { font-size: 2rem;}

.logo:hover {cursor: default;}

#hamburger-nav {
display: none;
}

.hamburger-menu {position: relative;
display: inline-block;}

.hamburger-icon {
display: flex;
flex-direction: column;
justify-content: space-between;
height: 24px;
width: 30px;
cursor: pointer;
}
.hamburger-icon span {width: 100%;
height: 2px;
background-color: black;
transition: all 0.3 ease-in-out;}

.menu-links {
position: absolute;
top:100%; 
right: 0%;
background-color: white;
width: fit-content;
max-height: 0;
overflow: hidden;
transition: all 0.3 ease-in-out; 
}

.menu-links a {
display: block;
padding: 10px;
text-align: center;
font-size: 1.5rem;
color: black;
text-decoration: none;
transition:all 0.3 ease-in-out;
}

.menu-links li {
list-style: none;}

.menu-links.open {
max-height: 300px;}

.hamburger-icon.open span:first-child {
transform: rotate(45deg) translate(10px,5px);}

.hamburger-icon.open span:nth-child(2) {
opacity: 0;}

.hamburger-icon.open span:last-child {
transform: rotate(-45deg) translate(10px,-5px);}

.hamburger-icon span:first-child {
transform: none;}

.hamburger-icon span:first-child {
opacity: 1}

.hamburger-icon span:first-child {
transform: none;}

section {
padding-top: 4vh;
height: 96vh;
margin: 0 10rem;
box-sizing: border-box;
min-height: fit-content;
}
.section-container {
display: flex;
}
#profile {
display: flex;
justify-content: center;
gap: 5rem;
height: 80vh;
}
.section__pic-container {
display: flex;
height: 350px;
width: 350px;
margin: 0 auto;
}
.section__text {
align-self: center;
text-align: center;
}
.section__text p {
font-weight: 600px;
}

.section__text__p1 {
text-align: center;
}
.section__text__p2 {
font-size: 1.75rem;
margin-bottom: 1rem;
}
.tittle {
font-size: 3rem;
text-align: center;
}
.socials-container {
display: flex;
justify-content: center;
margin-top: 1rem;
gap: 1rem;
}
.icon {
cursor: pointer;
height: 2rem;
margin-top: 15px;
}

.btn-container {
display: flex;
justify-content: center;
gap: 1rem;
}

.btn {
font-weight: 600;
transition: 300ms ease;
padding: 1rem;
width: 8rem;
border-radius: 2rem;
}
.btn-color-1, .btn-color-2 {
border: rgb(53, 53, 53) 0.1rem solid;

}
.btn-color-1:hover, .btn-color-2:hover {
cursor: pointer;
}
.btn-color-1, .btn-color-2:hover {
background: rgb(53, 53, 53);
color: white;
}

.btn-color-1:hover {
background: rgb(0, 0, 0);
}

.btn-color-2 {
background: none;
}
.btn-color-2:hover {
border: rgb(255, 255, 255)0.1rem solid;
}
.btn-container {
gap: 1rem;

}
#about {
position: relative;
}
.about-containers {
gap: 2rem;
margin-bottom: 2rem;
margin-top: 2rem;
}

.about-details-container {
justify-content: center;
flex-direction: column;
}

.about-containers, .about-details-container {
display: flex;
}

.text-container {text-align:justify}

.about-pic {
border-radius: 2rem;
width: 320px;
height: 320px;
margin-top: 50px;
}

.arrow {
position: absolute;
right: -5rem;
bottom: 2.5rem;
}

.details-container {
padding: 1.5rem;
flex: 1;
background: white;
border-radius: 2rem;
border: rgb(53, 53, 53) 0.1rem solid;
border-color: rgb(163, 163, 163);
text-align: center;
}

.section-container {
gap: 4rem;
height: 80%;
}

.section__pic-container {
height: 400px;
width: 400px;
margin: auto 0;
}
#experience {
position: relative;

}

.experience-sub-tittle {
color: rgb(85, 85, 85);
font-weight: 600;
font-size: 1.75rem;
margin-bottom: 2rem;
}

.experience-details-container {
display: flex;
justify-content: center;
flex-direction: column;
margin-top: 30px;
}

.article-container {
display: flex;
text-align: initial;
flex-wrap: wrap;
flex-direction: row;
gap: 2.5rem;
justify-content: space-around;
}
article {
display: flex;
width: 10rem;
justify-content: space-around;
gap: 0.5rem;
}

article .icon {
cursor: default;
}

#projects {
position: relative;
}

.color-container {
border-color: rgb(163, 163, 163);
background-color: rgb(250, 250, 250);
}

.project-img {
border-radius: 2rem;
width: 90%;
height: 90%;
}

.bitcoin-baby {
width:289px;
height: 289px;
}

.project-tittle {
margin: 1rem;
color: black;
}

.project-btn {
color: black;
border-color: rgb(163, 163, 163); 
}

#contact {
display: flex;
justify-content: center;
flex-direction: column;
height: 70vh;
}

.contact-info-upper-container {
display: flex;
justify-content: center;
border-radius: 2rem;
border: rgb(53, 53, 53) 0.1rem solid;
border-color: rgb(163, 163, 163);
background: rgb(250, 250, 250);
margin: 2rem auto;
padding: 0.5rem;
}

.contact-info-container {
display: flex;
align-items: center;
justify-content: center;
gap: 0.5rem;
margin: 1rem;
}

.contact-info-container p {
font-size: large;
}

.contact-icon {
cursor: default;
height: 2.5rem;
}

.email-icon {
height: 3rem;
}

footer {
height: 26vh;
margin: 0 1rem;}

footer p {
text-align: center;
} 
